System.Web 2.0.0.0 System.Web.UI.HtmlControls.HtmlControl

Use the class to programmatically specify the HTML <title> element of a Web Forms page.

You can also set the page title by using the title attribute of the @ Page directive, or by setting the property of the class.

Allows programmatic access to the HTML <title> element on the server.

- Constructor

  Use this constructor to create and initialize a new instance of the control using default values. It creates an HTML <title> element on the Web page. The following table shows the initial property value for an instance of the class.

  Property

  Initial Value

  The "title" literal string.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  If the element added to the control is a control, then the method sets the property with the value of the literal string; otherwise, the base method is called. The method is used primarily by control developers extending the functionality of the control.

  Notifies the control that an XML or HTML element was parsed and adds that element to the collection of the control.

  An that represents the parsed element. 2.0.0.0
- Method
  System.Web.UI.ControlCollection To be added.

  Creates a new collection for the control.

  A object to contain the current server control's child server controls.

  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method first calls the method using the Title member of the enumeration. Next, any child controls of the control are rendered. Finally, the method is called.

  Renders the control to the specified object.

  A that contains the output stream to render on the client.
- Property
  System.ComponentModel.Localizable(true)
  System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerDefaultProperty)
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.String To be added.

  Use the property to specify or determine the title of the Web page.

  Gets or sets the text of the HTML <title> element.

  2.0.0.0